/**
 * InfoPanel - shows a variety of Solaris information
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import uk.co.petertribble.jingle.JingleTextPane;

public class InfoPanel extends JPanel {

    private JingleTextPane tp;
    private InfoCommandList iclist;

    /**
     * Display an information panel
     */
    public InfoPanel() {
	setLayout(new BorderLayout());
	iclist = new InfoCommandList();
	JList ilist = new JList(iclist);
	ilist.addMouseListener(mouseListener);
	tp = new JingleTextPane();
	JSplitPane psplit = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,
		new JScrollPane(ilist), new JScrollPane(tp));
	psplit.setOneTouchExpandable(true);
	psplit.setDividerLocation(150);
	add(psplit);
    }

    MouseListener mouseListener = new MouseAdapter() {
	public void mouseClicked(MouseEvent e) {
	    Cursor c = getCursor();
	    setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
	    JList source = (JList) e.getSource();
	    InfoCommand ic = (InfoCommand) source.getSelectedValue();
	    tp.setText(iclist.infoTable(ic));
	    setCursor(c);
	}
    };

}
