/**
 * SmfTreeNode - represent SMF services as nodes in a tree
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.tree.*;

public class SmfTreeNode extends DefaultMutableTreeNode {

    private String service;
    private String node;

    /**
     * Display a package list
     */
    public SmfTreeNode(String service, String node) {
	this.service = service;
	this.node = node;
    }

    // the tree just displays this bit
    public String toString() {
	return node;
    }

    // but this is what this object really means
    public Object getUserObject() {
	return service;
    }
}
